Skip to main content
POST
json

Body

application/json
Number
string
required

Phone number to update (E.164 format)

Example:

"+18018018011"

AccountId
string

Account ID (AID) the number belongs to. Required when a distributor account has more than one sub-account.

Example:

"AID-ab12345-2725-45a1-bd5e-526ed19799xx"

MessageEnabled
boolean

Enable/disable SMS/MMS capabilities

Example:

true

MessageType
enum<string>

Message type

Available options:
a2p,
p2p
Example:

"p2p"

Classification
enum<string>

Number classification

Available options:
MVNO,
IoT
Example:

"MVNO"

VoiceEnabled
boolean

Enable/disable voice capabilities

Example:

true

MessageRouteId
string

MRID for message routing

Example:

"MRID-73af1e73-d7b3-4696-bdd9-5b407d9e99ee"

VoiceRouteId
string

CRID for voice routing

Example:

"CRID-4dec6beb-3985-444b-8c06-8baa5jjvawe"

AssignedSubscriberId
string

Telegent Subscriber ID. Format: TSUID- followed by a UUID. Create one via POST /v1.0/subscribers/create or look up existing IDs with GET /v1.0/subscribers/get.

Example:

"TSUID-d7b3-4696-bdd9-5b407d9e99ee-3985-444b8d"

Iccid
string

SIM card ICCID (for IoT/MVNO)

Example:

"8901240397190556232"

CnamFirstName
string

Caller ID first name

Example:

"John"

CnamLastName
string

Caller ID last name

Example:

"Doe"

ProductType
enum<string>

Product type for the number

Available options:
Sms-Only,
Data-Only,
Sms+Data,
Sms+Data+Voice
Example:

"Data-Only"

ForwardingNumber
string

Number that calls to this line are forwarded to (E.164 format). Send an empty string to clear forwarding.

Example:

"+18015555555"

Response

Numbers Update

The response is of type object.